@charset "UTF-8";
/* CSS Document (新着情報CMS) */

/*===index.php(メイン)用==============================*/
#newsWrap{
	overflow:hidden;
}
#newsWrap ul.newsList{
	display: flex;
	justify-content: flex-start;
	align-items: stretch;
	flex-wrap: wrap;
	width: 100%;
}
#newsWrap ul.newsList li{
	list-style-type: none;
	width: calc(100% / 4 - 20px);
	background:#fff;
/*	border-radius: 30px;*/
	overflow: hidden;
	margin: 10px;
	box-shadow: 2px 2px 10px rgba(0,0,0,0.05);
	transition: .5s;
}

#newsWrap ul.newsList a{
	display: inline-block;
	width: 100%;
	color: #1a1a1a;
	font-size:90%;
}


/*サムネイル*/
.thumbNailWrap{
	display: block;
	width: 100%;
	aspect-ratio: 16 / 9;
	overflow: hidden;
	min-height: 0%;
}
.thumbNailWrap img{
	display: block;
	width: 100%;
	height: 100%;
	object-fit: cover;
	transition-duration: 0.5s;
}
#newsWrap ul.newsList li:hover{
	box-shadow: 2px 2px 20px rgba(0,161,233,0.2);
}

#newsWrap ul.newsList li:hover .thumbNailWrap img{
	transform: scale(1.2);
	transition-duration: 0.5s;
}

/*日付*/
ul.newsList li .up_ymd{
	display: block;
	color: #333;
	font-weight: 600;
	margin-top: 0.5rem;
	padding: 0.5em 1em;
}

ul.newsList li .title{
	font-weight: 600;
	display: inline-block;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
	width: 100%;
	padding: 0.5em 1em;
}

ul.newsList li .comment{
	display: block;
	font-size: 0.8rem;
	padding: 0 1rem 1rem;
}
@media (max-width: 1200px){
	#newsWrap{
		overflow: auto;
	}
	
	#newsWrap ul.newsList{
		max-width: 800px;
		margin: auto;
	}
	#newsWrap ul.newsList li{
		width: calc(100% / 2 - 20px);
		max-width: 400px;
	}
}

@media (max-width: 750px){
	#newsWrap ul.newsList{
		flex-direction: column;
		justify-content: center;
		align-items: center;
		width: 100%;
		max-width: 400px;
		margin: auto;
	}
	#newsWrap ul.newsList li{
		width: calc(100% - 20px);
		margin: 10px;
	}
}

/*スクロールバー*/
#newsWrap ul#newsList::-webkit-scrollbar{
    overflow: hidden;
    width: 1px;
    background: #fafafa;
}
#newsWrap ul#newsList::-webkit-scrollbar-button {
    display: none;
}
#newsWrap ul#newsList::-webkit-scrollbar-thumb, #newsWrap ul#newsList::-webkit-scrollbar-corner {
    background: #333;
}



/*===news-detail.php用==============================*/
#news-detail #up_ymd{
	font-size: 14px;
	letter-spacing: 0.1em;
	margin-bottom: 30px;
}
#news-detail #up_ymd::before{
	font-family: "Font Awesome 6 Free";
	content: '\f017';
	font-weight: bold;
	padding-right: 0.5em;
}
#news-detail #detail{
	padding: 20px;
}
@media (max-width: 450px){
	#news-detail #detail{
		padding: 20px 10px;
		font-size: .8rem;
	}
}
#news-detail .detailUpfile{
	margin: 5px 0 35px;
	text-align: center;
}
#news-detail .detailUpfile img{
	max-width: 100%;
	height: auto;
	margin-top: 30px;
}
#news-detail .backORcloseBtn a{
	margin-top: 60px;
}


/* Pager style */
.pager{
	text-align:right;
	padding:10px;
	clear:both;
}
/*ページャーボタン*/
.pager a{
    border: 1px solid #fff;
/*    border-radius: 5px;*/
    color: #fff;
    font-size: 12px;
    padding: 5px 10px;
    text-decoration: none;
	margin:0 1px;
}

/*現在のページのボタン*/
.pager a.current{
    background: #fff;
    border: 1px solid #333;
/*    border-radius: 5px;*/
    color: #333;
    font-size: 12px;
    padding: 5px 10px;
	margin:0 1px;
    text-decoration: none;
}

.pager a:hover{
    background:#fff;
    color: #333;
}